# $Revision: 1.55 $, $Date: 2010/03/31 20:26:07 $
Summary:	An editor for the GConf configuration system
Summary(pl.UTF-8):	Edytor do systemu konfiguracji GConf
Name:		gconf-editor
Version:	2.30.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gconf-editor/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	2a941e3c64843be69190f38891470580
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An editor for the GConf configuration system.

%description -l pl.UTF-8
Edytor do systemu konfiguracji GConf.

%prep
%setup -q

sed -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install gconf-editor.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall gconf-editor.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gconf-editor
%{_desktopdir}/gconf-editor.desktop
%{_iconsdir}/hicolor/*/*/*.png
%dir %{_datadir}/gconf-editor
%{_datadir}/gconf-editor/icons
%{_mandir}/man1/gconf-editor.1*
%{_sysconfdir}/gconf/schemas/gconf-editor.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gconf-editor.spec,v $
Revision 1.55  2010/03/31 20:26:07  megabajt
- updated to 2.30.0

Revision 1.54  2009/12/18 23:25:08  megabajt
- updated to 2.28.0

Revision 1.53  2009/11/27 02:09:00  sparky
- BR: docbook-dtd412-xml, libselinux-devel, libxml2-progs

Revision 1.52  2009/03/17 21:42:41  megabajt
- updated to 2.26.0

Revision 1.51  2008/10/23 12:38:50  megabajt
- updated to 2.24.1

Revision 1.50  2008/09/27 15:43:20  megabajt
- updated to 2.24.0.1

Revision 1.49.2.1  2008/08/31 14:51:54  patrys
- 2.23.91

Revision 1.49  2008/03/12 17:39:39  megabajt
- updated to 2.22.0
- use better way to fix locale name
- use --with-omf
- more verbose files

Revision 1.48  2007-11-04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.47  2007/09/19 13:31:30  patrys
- libgnomeui not released yet

Revision 1.46  2007/09/19 13:28:23  patrys
- 2.20.0

Revision 1.45.2.1  2007/09/11 12:44:43  patrys
- 2.19.92

Revision 1.45  2007/08/30 10:31:57  megabajt
- updated to 2.18.2

Revision 1.44  2007/03/13 15:38:36  megabajt
- updated to 2.18.0
- removed obsolete desktop patch

Revision 1.43  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.41  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.40  2006/10/05 22:05:31  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.39  2006/09/09 01:40:46  patrys
- uo to 2.16.0

Revision 1.38  2006/08/14 14:40:02  freetz
- 2.15.92, update file list

Revision 1.37  2006/08/07 20:36:54  freetz
- 2.15.91, scrollkeeper stuff removed upstream, updated BR / file list,
  double free fix already included

Revision 1.36  2006/08/06 10:03:04  wolf
- rel 6

Revision 1.35  2006/06/18 07:35:36  freetz
- rel.5, GNOME 2.15.x deps, (re)generate icon cache, remove unsupported
  locale

Revision 1.34  2006/05/26 23:46:28  qboosh
- merged deps update and memcorrup patch from AC-branch

Revision 1.31.2.4  2006/05/19 20:16:51  freetz
- rel.4, added memcorrup patch (fixes double free crasher)

Revision 1.31.2.3  2006/05/18 21:38:10  baggins
- release 3
- strict reqs

Revision 1.31.2.2  2006/05/15 15:34:29  baggins
- release 2

Revision 1.31.2.1  2006/05/15 13:59:32  baggins
- merged from HEAD

Revision 1.33  2006/04/02 15:27:05  freetz
- merged from DEVEL

Revision 1.32.2.2  2006/03/12 22:24:52  freetz
- 2.14.0

Revision 1.32.2.1  2006/01/30 16:45:59  freetz
- 2.13.90

Revision 1.32  2005/11/30 17:50:25  freetz
- 2.12.1

Revision 1.31  2005/09/07 10:50:14  paladine
- merged from DEVEL and updated to 2.12.0

Revision 1.30.2.1  2005/08/24 07:40:33  paladine
- updated to 2.11.92
- sorted %%files
- itemize schemas

Revision 1.30  2005/04/08 10:48:53  paladine
- new style macros
- rel. 3, STBR

Revision 1.29  2005/03/20 19:59:03  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.28  2005/03/11 15:23:18  grzegol
- merged from DEVEL and updated to 2.10.0

Revision 1.27.2.3  2005/02/28 16:33:56  paladine
- updated to 2.9.92
- proper license
- added some files to %%doc

Revision 1.27.2.2  2005/02/10 18:39:26  grzegol
- updated to 2.9.91

Revision 1.27.2.1  2005/02/08 21:34:26  grzegol
- updated to 2.9.3

Revision 1.27  2004/12/22 01:32:02  zbyniu
- BR: pkgconfig, scrollkeeper

Revision 1.26  2004/10/13 15:07:53  aflinta
- up to version 2.8.2

Revision 1.25  2004/10/01 13:09:48  paladine
- updated to 2.8.1
- added desktop patch

Revision 1.24  2004/09/13 10:52:06  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.23.2.5  2004/09/08 20:38:33  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.23.2.4  2004/08/22 12:28:56  aflinta
- up to version 2.7.91

Revision 1.23.2.3  2004/08/02 11:02:56  grzegol
- updated to 2.7.90

Revision 1.23.2.2  2004/07/20 22:33:25  grzegol
- updated to 2.7.4

Revision 1.23.2.1  2004/07/01 15:29:22  grzegol
- updated to 2.7.1

Revision 1.23  2004/06/14 21:34:10  grzegol
- updated to 2.6.2

Revision 1.22  2004/04/16 11:30:52  aflinta
- up to version 2.6.1

Revision 1.21  2004/03/22 18:07:12  aflinta
- merged from DEVEL, up to 2.6.0

Revision 1.20  2004/01/10 00:59:38  undefine
- regenerate ac/am to allow build on amd64, release 2

Revision 1.19.2.5  2004/03/16 19:01:16  grzegol
- updated to 2.5.92

Revision 1.19.2.4  2004/03/07 12:20:24  grzegol
- regenerate also lt/al/am

Revision 1.19.2.3  2004/03/06 19:50:34  aflinta
- up to version 2.5.91

Revision 1.19.2.2  2004/02/03 12:53:16  grzegol
- updated to 2.5.4

Revision 1.19.2.1  2003/11/13 10:32:00  wiget
- 2.5.1

Revision 1.19  2003/09/06 10:38:09  aflinta
- version 2.4.0

Revision 1.18  2003/08/10 21:54:52  aflinta
- version 2.3.6

Revision 1.17  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.16  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.15  2003/06/03 21:48:21  aflinta
- version 0.5.0

Revision 1.14  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:47:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/12/10 19:29:53  aflinta
- updated to version 0.4.0

Revision 1.11  2002/12/09 07:10:58  aflinta
- updated BR
- release 5

Revision 1.10  2002/12/05 10:46:36  aflinta
- moved from /usr/X11R6 to /usr, release 4

Revision 1.9  2002/10/24 21:48:48  misiek
- rel 3

Revision 1.8  2002/09/17 13:01:24  wrobell
- changed descriptions
- rel. 2

Revision 1.7  2002/08/27 08:44:40  aflinta
- updated to version 3.1

Revision 1.6  2002/08/16 07:16:51  aflinta
- updated to version 0.3

Revision 1.5  2002/06/12 13:58:57  wiget
force newer build env, release 2

Revision 1.4  2002/05/21 13:21:18  kloczek
- updated to 0.2,
- more macros and use DESTDIR style install.

Revision 1.3  2002/05/21 13:02:31  qboosh
- typo

Revision 1.2  2002/05/21 13:02:06  qboosh
- partial cleanup

